.thermometer {
  width: 50px;
  height: 200px;
  border: 3px solid grey;
  border-radius: 25px;
  background-color: white;
  position: relative;
  margin: 20px auto;
}

.thermometer__inner {
  width: 25%;
  margin-left: 37.5%;
  position: absolute;
  bottom: 0;
  background: linear-gradient(to top, 
              #00ff00 0%, /* Green at the bottom */
              #ffff00 20%, /* Gradual transition to yellow starts */
              #ffff00 40%, /* Yellow until 20 degrees (40% of 50) */
              #ff0000 100%); /* Gradual transition to red starting from 20 degrees */
  transition: height 0.3s ease;
  border-radius: 15px;
  overflow: hidden;
}




.temperature-line {
  position: absolute;
  width: 10px;
  height: 2px;
  background-color: grey;
  left: -15px;
}

/* Positioning temperature lines */
.temperature-line-0 { bottom: 0; }
.temperature-line-10 { bottom: 33px; }
.temperature-line-20 { bottom: 66px; }
.temperature-line-30 { bottom: 100px; }
.temperature-line-40 { bottom: 133px; }
.temperature-line-50 { bottom: 166px; }
.temperature-line-60 { bottom: 199px; }

.temperature-value {
  position: absolute;
  left: -40px;
  font-size: 12px;
}

/* Positioning temperature values */
.temperature-value-0 { bottom: 0; }
.temperature-value-10 { bottom: 33px; }
.temperature-value-20 { bottom: 66px; }
.temperature-value-30 { bottom: 100px; }
.temperature-value-40 { bottom: 133px; }
.temperature-value-50 { bottom: 166px; }
.temperature-value-60 { bottom: 199px; }

.temperature-display {
  text-align: center;
  font-size: 1.5em;
  font-weight: bold;
  font-family: Arial, sans-serif;
}

.temperature-title {
  font-size: 1.2em;
  font-weight: bold;
  margin-bottom: 10px;
  text-align: left;
  font-family: Arial, sans-serif;
}
